// $ANTLR 3.0 /home/icoloma/workspace/loom/src/antlr/DateValue.g 2008-11-10 18:28:25

package org.loom.validator.date;

import org.antlr.runtime.CharStream;
import org.antlr.runtime.EarlyExitException;
import org.antlr.runtime.Lexer;
import org.antlr.runtime.MismatchedSetException;
import org.antlr.runtime.NoViableAltException;
import org.antlr.runtime.RecognitionException;
import org.loom.exception.ParseException;

public class DateValueLexer extends Lexer {
    public static final int T10=10;
    public static final int T6=6;
    public static final int T11=11;
    public static final int T9=9;
    public static final int EOF=-1;
    public static final int WS=5;
    public static final int T12=12;
    public static final int Tokens=14;
    public static final int DIGIT=4;
    public static final int T8=8;
    public static final int T13=13;
    public static final int T7=7;
    
    
    @Override
    public void reportError(RecognitionException e) {
      throw new ParseException(getErrorMessage(e, getTokenNames()), e);
    }
    

    public DateValueLexer() {;} 
    public DateValueLexer(CharStream input) {
        super(input);
    }
    public String getGrammarFileName() { return "/home/icoloma/workspace/loom/src/antlr/DateValue.g"; }

    // $ANTLR start T6
    public final void mT6() throws RecognitionException {
        try {
            int _type = T6;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:20:6: ( 'today' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:20:6: 'today'
            {
            match("today"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T6

    // $ANTLR start T7
    public final void mT7() throws RecognitionException {
        try {
            int _type = T7;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:21:6: ( '/' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:21:6: '/'
            {
            match('/'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T7

    // $ANTLR start T8
    public final void mT8() throws RecognitionException {
        try {
            int _type = T8;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:22:6: ( '+' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:22:6: '+'
            {
            match('+'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T8

    // $ANTLR start T9
    public final void mT9() throws RecognitionException {
        try {
            int _type = T9;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:23:6: ( '-' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:23:6: '-'
            {
            match('-'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T9

    // $ANTLR start T10
    public final void mT10() throws RecognitionException {
        try {
            int _type = T10;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:24:7: ( 'd' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:24:7: 'd'
            {
            match('d'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T10

    // $ANTLR start T11
    public final void mT11() throws RecognitionException {
        try {
            int _type = T11;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:25:7: ( 'w' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:25:7: 'w'
            {
            match('w'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T11

    // $ANTLR start T12
    public final void mT12() throws RecognitionException {
        try {
            int _type = T12;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:26:7: ( 'm' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:26:7: 'm'
            {
            match('m'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T12

    // $ANTLR start T13
    public final void mT13() throws RecognitionException {
        try {
            int _type = T13;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:27:7: ( 'y' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:27:7: 'y'
            {
            match('y'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T13

    // $ANTLR start DIGIT
    public final void mDIGIT() throws RecognitionException {
        try {
            int _type = DIGIT;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:89:9: ( '0' .. '9' )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:89:9: '0' .. '9'
            {
            matchRange('0','9'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end DIGIT

    // $ANTLR start WS
    public final void mWS() throws RecognitionException {
        try {
            int _type = WS;
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:90:7: ( ( ' ' | '\\t' | '\\n' | '\\r' )+ )
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:90:7: ( ' ' | '\\t' | '\\n' | '\\r' )+
            {
            // /home/icoloma/workspace/loom/src/antlr/DateValue.g:90:7: ( ' ' | '\\t' | '\\n' | '\\r' )+
            int cnt1=0;
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( ((LA1_0>='\t' && LA1_0<='\n')||LA1_0=='\r'||LA1_0==' ') ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // /home/icoloma/workspace/loom/src/antlr/DateValue.g:
            	    {
            	    if ( (input.LA(1)>='\t' && input.LA(1)<='\n')||input.LA(1)=='\r'||input.LA(1)==' ' ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);

             skip(); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end WS

    public void mTokens() throws RecognitionException {
        // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:10: ( T6 | T7 | T8 | T9 | T10 | T11 | T12 | T13 | DIGIT | WS )
        int alt2=10;
        switch ( input.LA(1) ) {
        case 't':
            {
            alt2=1;
            }
            break;
        case '/':
            {
            alt2=2;
            }
            break;
        case '+':
            {
            alt2=3;
            }
            break;
        case '-':
            {
            alt2=4;
            }
            break;
        case 'd':
            {
            alt2=5;
            }
            break;
        case 'w':
            {
            alt2=6;
            }
            break;
        case 'm':
            {
            alt2=7;
            }
            break;
        case 'y':
            {
            alt2=8;
            }
            break;
        case '0':
        case '1':
        case '2':
        case '3':
        case '4':
        case '5':
        case '6':
        case '7':
        case '8':
        case '9':
            {
            alt2=9;
            }
            break;
        case '\t':
        case '\n':
        case '\r':
        case ' ':
            {
            alt2=10;
            }
            break;
        default:
            NoViableAltException nvae =
                new NoViableAltException("1:1: Tokens : ( T6 | T7 | T8 | T9 | T10 | T11 | T12 | T13 | DIGIT | WS );", 2, 0, input);

            throw nvae;
        }

        switch (alt2) {
            case 1 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:10: T6
                {
                mT6(); 

                }
                break;
            case 2 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:13: T7
                {
                mT7(); 

                }
                break;
            case 3 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:16: T8
                {
                mT8(); 

                }
                break;
            case 4 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:19: T9
                {
                mT9(); 

                }
                break;
            case 5 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:22: T10
                {
                mT10(); 

                }
                break;
            case 6 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:26: T11
                {
                mT11(); 

                }
                break;
            case 7 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:30: T12
                {
                mT12(); 

                }
                break;
            case 8 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:34: T13
                {
                mT13(); 

                }
                break;
            case 9 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:38: DIGIT
                {
                mDIGIT(); 

                }
                break;
            case 10 :
                // /home/icoloma/workspace/loom/src/antlr/DateValue.g:1:44: WS
                {
                mWS(); 

                }
                break;

        }

    }


 

}