package org.loom.config;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.PARAMETER;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import javax.inject.Qualifier;

/**
 * Indicates that the annotated instance is the nested delegate object for proxy classes
 * @author icoloma
 *
 */
@Qualifier
@Documented
@Retention(RUNTIME) 
@Target({ FIELD, PARAMETER }) 
public @interface Delegate {
	 
}
