package org.loom.guice;

import java.util.Set;

import javax.inject.Inject;
import javax.inject.Singleton;

import org.loom.annotation.processor.AnnotationProcessor;
import org.loom.annotation.processor.DefaultAnnotationProcessorRepository;

@Singleton
public class GuiceAnnotationProcessorRepository extends DefaultAnnotationProcessorRepository {
	
	@Inject
	public void setAnnotationProcessors(Set<AnnotationProcessor> annotationProcessors) {
		for (AnnotationProcessor annotationProcessor : annotationProcessors) {
			addAnnotationProcessor(annotationProcessor);
		}
	}
	
}
