/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.servlet.names;

/**
 * Flash attributes managed by Loom
 * @author Ignacio Coloma
 */
public interface FlashAttributeNames {

	/** Error messages from the previous request */
	public static String SAVED_MESSAGES = "_messages";
	
	/** request parameters from the previous request. Used when redirecting because of user input errors */
	public static String SAVED_PARAMETERS = "_params";
	
}
