package org.loom.servlet.params;

import org.apache.commons.fileupload.FileItemStream;

/**
 * Creates {@link FileParameter} instances
 * @author icoloma
 *
 */
public interface FileParameterFactory {

	/**
	 * Creates a {@link FileParameter} with the proposed arguments
	 */
	public FileParameter create(FileItemStream stream);
	
}
