package org.loom.tags;

import org.loom.url.UrlBuilder;

/**
 * The attributes and methods of a HTML form
 * @author icoloma
 */
public interface Form extends HtmlTag {
	
	/**
	 * @return the target url of this link
	 */
	public UrlBuilder getUrl();
	
	/**
	 * Add a hidden field to include in this form
	 * @param name
	 * @param value
	 */
	public void addHiddenField(String name, Object value);

	
}
