package org.loom.util;

import java.lang.annotation.Annotation;

public class AnnotationUtils {

	public static boolean contains(Annotation[] annotations, Class<? extends Annotation> annotationClass) {
		for (Annotation candidate : annotations) {
			if (annotationClass.isAssignableFrom(candidate.getClass())) {
				return true;
			}
		}
		return false;
	}
	
}
